saned(8)

BEZEICHNUNG
saned - SANE-Netzwerkdaemon

ÜBERSICHT
saned [ -a [ Benutzername ] ] [ -u Benutzername ] [ -b Adresse ] [ -p Port ] [ -l ] [ -D ] [ -o ] [ -d n ] [ -e ] [ -h ] [ -B Puffergröße ]

BESCHREIBUNG
saned ist der SANE- (Scanner Access Now Easy) Daemon, der fernen Clients den Zugriff auf die auf dem lokalen Rechner verfügbaren bildgebenden Geräte ermöglicht.

OPTIONEN

saned akzeptiert die folgenden Optionen:

-a [Benutzername], --alone[=Benutzername]
    ist gleichbedeutend mit der Kombination der Optionen -l -D -u Benutzername. Jedoch ist der Benutzername optional und der ausführende Benutzer wird nur gesetzt, wenn dieser angegeben ist.

-u Benutzer, --user=Benutzer
    bewirkt, dass saned die Root-Rechte abgibt und als der angegebene Benutzer (und dessen Gruppe) ausgeführt wird.

-b Adresse, --bind=Adresse
    weist saned an, an die angegebene Adresse zu binden.

-p Port, --port=Port
    weist saned an, an dem angegebenen Port zu warten. Bei einem Wert von 0 wählt saned einen ansonsten unbenutzten Port. Die Vorgabe ist sane-port (6566).

-l, --listen
    führt saned in einem eigenständigen Daemon-Modus aus. In diesem Modus wartet saned auf eingehende Client-Verbindungen. Für Vorgänge in diesem Modus ist inetd(8) nicht erforderlich.

-D, --daemonize
    koppelt saned von der Konsole ab und führt es im Hintergrund aus.

-n, --allow-network
    ermöglicht es saned, Netzwerk-Scanner zu verwenden. Standardmäßig ist es verboten, um saned daran zu hindern, sich selbst zu kontaktieren. Wenn aktiviert, sollte die Konfiguration des Backends sane-net(5) nicht die Adresse erwähnen, unter der saned auf Anfragen wartet.

-o, --once
    fordert, dass saned sich beendet, nachdem der erste Client sich beendet. Dies ist für das Debugging hilfreich.

-d n, --debug=n
    setzt die Debug-Ausgabe-Stufe von saned auf n. Erfolgte die Kompilierung mit aktiviertem Debugging, dann kann diesem Schalter eine Zahl folgen, die mehr oder weniger Debug-Informationen anfordert. Je größer die Zahl, desto ausführlicher die Debug-Ausgabe. Z.B. wird -d128 sämtliche Debug-Informationen erbitten. Die Stufe 0 erzeugt überhaupt keine Ausgabe. Der Vorgabewert ist 2.

-e, --stderr
    leitet die Debug-Ausgabe von saned in die Standardfehlerausgabe, statt in die Vorgabe Syslog.

-B, --buffer-size=Puffergröße
    gibt die Größe des für die Kommunikation mit dem Backend verwandten Lesepuffers in kB an. Standardmäßig 1 MB.

-h, --help
    zeigt eine kurze Hilfemeldung.

KONFIGURATION
Die Konfigurationsdatei saned.conf enthält sowohl Optionen für den Daemon als auch die Zugriffsliste.

data_portrange = min_Port - max_Port
    gibt den für die Daten-Verbindung zu verwendenden Port-Bereich an. Wählen Sie einen Port-Bereich zwischen 1024 und 65535. Wählen Sie keinen zu großen Port-Bereich, da das zu Performance-Problemen führen kann. Verwenden Sie diese Option, falls Ihr saned-Server hinter einer Firewall steht. Falls diese Firewall eine Linux-Maschine ist, empfehlen wir nachdrücklich stattdessen das Netfilter-Modul nf_conntrack_sane.

data_connect_timeout = Zeitüberschreitung
    gibt die Zeit in Millisekunden an, die saned auf eine Datenverbindung warten wird. Ohne diese Option wird der Scanner über das Ende hinaus scannen und könnte, abhängig vom Backend, den Scanner beschädigen, falls die Datenverbindung noch nicht aufgebaut ist, bevor der Scanner das Ende des Scans erreicht hat. Geben Sie Null an, um das alte Verhalten zu erreichen. Die Vorgabe ist 4000ms.

Die Zugriffsliste besteht aus Rechnernamen, IP-Adressen oder IP-Subnetzen (CIDR-Notation), denen erlaubt wird, lokale SANE-Geräte zu verwenden. IPv6-Adressen müssen in Klammern eingeschlossen und sollten immer in ihrer komprimierten Form angegeben werden. Verbindungen von localhost sind immer erlaubt. Leere Zeilen und Zeilen, die mit einer Raute (»#«) beginnen, werden ignoriert. Eine Zeile, die als einziges Zeichen ein »+« enthält, wird so interpretiert, dass sie auf jeden Rechnernamen passt. Dies erlaubt es jeder fernen Maschine, Ihren Scanner zu benutzen und kann ein Sicherheitsrisiko darstellen. Daher sollten Sie das nicht verwenden, außer Sie wissen, was Sie tun.

Nachfolgend sehen Sie ein Beispiel für eine Konfigurationsdatei:

    # Daemon-Optionen
    data_portrange = 10000 - 10100
    # Zugriffsliste
    scan-client.somedomain.firm
    # Dies ist ein Kommentar
    192.168.0.1
    192.168.2.12/29
    [::1]
    [2001:db8:185e::42:12]/64

Die Groß- oder Kleinschreibung spielt bei Rechnernamen keine Rolle, daher ist EinRechner.com identisch zu einrechner.com.

DATEIEN

/etc/hosts.equiv
    Den in dieser Datei aufgeführten Rechnern wird der Zugriff auf alle lokalen SANE-Geräte erlaubt. Warnung: Diese Datei führt zu erheblichen Sicherheitsrisiken und ihr Einsatz wird nicht empfohlen.

/etc/sane.d/saned.conf
    Enthält eine Liste von Rechnern, denen der Zugriff auf lokale SANE-Geräte erlaubt wird (siehe auch die obige Beschreibung von SANE_CONFIG_DIR).

/etc/sane.d/saned.users
    Falls diese Datei Zeilen der Form

    Benutzer:Passwort:Backend

    enthält, ist der Zugriff auf die aufgelisteten Backends eingeschränkt. Ein Backend kann mit verschiedenen Benutzer/Passwort-Kombinationen mehrfach aufgelistet werden. Der Server verwendet MD5-Hashes, sofern dies vom Client unterstützt wird.

UMGEBUNGSVARIABLEN

SANE_CONFIG_DIR
    Diese Umgebungsvariable gibt eine Liste von Verzeichnissen an, die die Konfigurationsdatei enthalten können. Auf *NIX-Systemen sind die Verzeichnisse durch Doppelpunkte (:) getrennt, unter OS/2 durch Semikola (;). Falls diese Variable nicht gesetzt ist, wird in zwei Standardverzeichnissen nach der Konfigurationsdatei gesucht: zuerst im aktuellen Arbeitsverzeichnis (.) und dann in /etc/sane.d. Falls der Wert der Umgebungsvariable mit dem Verzeichnis-Trennzeichen endet, dann werden die Standardverzeichnisse nach den explizit angegebenen Verzeichnissen durchsucht. Wenn Sie beispielsweise SANE_CONFIG_DIR auf »/tmp/config:« setzen, wird in den Verzeichnissen »tmp/config«, ».« und »/etc/sane.d« gesucht (in dieser Reihenfolge).

ANMERKUNGEN
saned gewährt kein Vertraulichkeit bei der Kommunikation mit Clients. Falls saned direkt dem Netz ausgesetzt ist, könnten andere Benutzer ohne großen Aufwand in der Lage sein, gescannte Bilder abzufangen oder Passwörter zur Verbindung mit saned zu ermitteln. Stattdessen sollten sich Client-System mit saned über einen sicheren Tunnel zum Server verbinden.

saned ist kein vertrauenswürdiges Programm und sollte nicht mit Root-Berechtigungen ausgeführt werden.

Lesen Sie /usr/share/doc/libsane/saned/saned.install.md zu Details über die Konfiguration von saned als Dienst.

SIEHE AUCH
sane(7), scanimage(1), xscanimage(1), xcam(1), sane-dll(5), sane-net(5), sane-»Backendname«(5), inetd(8), xinetd(8), systemd(1)
http://www.penguin-breeder.org/?page=sane-net

AUTOR
David Mosberger

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.